//+------------------------------------------------------------------+
//|                                               IND Inverse.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, ..."
#property link      "http://www.forex-tsd.com/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Silver
//---- input parameters
//---- buffers
double Buffer[];

extern int iPeriod = 1;
extern int timeFrame = 0;

//----
//+------------------------------------------------------------------+
//| Init                                                             |
//+------------------------------------------------------------------+
int init()
{
//---- indicators
    IndicatorBuffers(1);
    IndicatorDigits(Digits+2);
    SetIndexStyle(0,DRAW_LINE);
    SetIndexBuffer(0,Buffer);
    timeFrame = MathMax(timeFrame,Period());
//----
    return(0);
}

//+------------------------------------------------------------------+
//| Parabolic Sell And Reverse system                                |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();

//---- check for possible errors
   if(counted_bars<0) 
   {
      return(-1);
   }
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=MathMin(MathMax(Bars-counted_bars,3*timeFrame/Period()),Bars-1);

//---- do it
   
  
    for(int i=0; i<limit; i++)
    {
        int y = iBarShift(NULL,timeFrame,Time[i]);
        
        double HD = iHigh(NULL,timeFrame,iHighest(NULL,timeFrame,MODE_HIGH,iPeriod*20,y));
        double LD = iLow(NULL,timeFrame,iLowest(NULL,timeFrame,MODE_LOW,iPeriod*20,y));
        double amplitude = HD - LD;          
        Buffer[i]= ((iClose(NULL,timeFrame,y)-(HD-(amplitude/2)))/amplitude) * iPeriod;
    }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+